Jump to content
Sign in to follow this  
sickboy

Six Updater: Install/Update mods, missions. Delta patching. Server browser, and more!

Recommended Posts

Hi Sickboy,

I am trying to run TOH through SixUpdater, but I want to change the exe to Arma2OA.exe so that the AMD drivers pick it up with a crossfire profile (running as the standard toh exe only utilises one GPU).

Anyway, I have created a clone of the Take On Helicopters game profile and pointed the Exe at my renamed executable;

i:\Games\Take On Helicopters\arma2oa.exe

I have added the path as;

i:\Games\Take On Helicopters

Unfortunately Six is then trying to run the exe as;

I:/Games/Take On Helicopters/I:/Games/Take On Helicopters/arma2oa.exe

Cloning the profile without changing the path (only the exe) has the same effect.

Any ideas?

EDIT

OK fixed myself - I manually edited the Exe path rather than chosing the file from the file select dialogue. I set this to read just arma2oa.exe and now everything works.

Leaving the post here in case someone else has the same issue!

Sorry for bothering you all ;-)

Edited by Jedra

Share this post


Link to post
Share on other sites
OK fixed myself - I manually edited the Exe path rather than chosing the file from the file select dialogue. I set this to read just arma2oa.exe and now everything works.

Leaving the post here in case someone else has the same issue!

Sorry for bothering you all ;-)

Hi Mate ;) NP, and was just about to say the same thing, in the meantime i'll look at fixing it when full path is defined :D

---------- Post added at 18:57 ---------- Previous post was at 18:43 ----------

Here you go; http://dev-heaven.net/issues/25980 (or well, at next update ;D)

Share this post


Link to post
Share on other sites

Hi Sickboy

I have 2 questions

1: In the Game Manager window I see 2 different versions and I click "Get Latest" but nothing happens or is it because I already have it?

2: When I perform a CRC check I get allot of ticks in the match column but their are also allot of unticked one's, what can I do about this?

Thanks for your time and a fantastic Updater

Share this post


Link to post
Share on other sites

Hi, great helper this app is. Thanks for the hard work!

Question: Some addon makers don't properly pack the .rar, so I have to make and name a folder myself. How do I know it will be updated if my naming does not match what the addon maker loaded to your archieves?

Imaginary Example:

Mine: @NorthKoreanUnits (downloaded the improperly packed addon and named by me)

Yours: @North_Korean_Units_1.01 (uploaded by the addon maker to you)

Thanks!

Share this post


Link to post
Share on other sites
Hi Sickboy

I have 2 questions

1: In the Game Manager window I see 2 different versions and I click "Get Latest" but nothing happens or is it because I already have it?

2: When I perform a CRC check I get allot of ticks in the match column but their are also allot of unticked one's, what can I do about this?

Thanks for your time and a fantastic Updater

NP :cool: the game manager isn't finished yet, hence the Get Latest buttons don't do much currently.

2; should work - but perhaps the wrong edition is detected or it fails on seperate CO install perhaps - what game editions do you have? If you have CO - is it installed seperately or in 1 folder?

I guess you just got me my TODO's for today :D http://dev-heaven.net/issues/25996

---------- Post added at 08:20 ---------- Previous post was at 08:15 ----------

Hi, great helper this app is. Thanks for the hard work!

Question: Some addon makers don't properly pack the .rar, so I have to make and name a folder myself. How do I know it will be updated if my naming does not match what the addon maker loaded to your archieves?

Imaginary Example:

Mine: @NorthKoreanUnits (downloaded the improperly packed addon and named by me)

Yours: @North_Korean_Units_1.01 (uploaded by the addon maker to you)

Thanks!

NP :cool:

A modfolder will only be updated once it is converted to SU - if the mod exist on the network the modfolder should turn brown status - "Not Updater Mod" - and will be updated once you convert it.

If the mod doesnt exist on the network, and the foldername isn't a known alias for a mod on the network either, the mod should be white in your preset. So it indicates: Modfolder unknown, seems to be a local mod - will not be converted or updated.

---------- Post added at 09:56 ---------- Previous post was at 08:20 ----------

Dealth with the most pressing issues of the Game Manager; http://dev-heaven.net/issues/25996

Should be available for auto update later today.

Edited by Sickboy

Share this post


Link to post
Share on other sites

And done and available in Six Updater v2.7pre27!

New blog entry, and Release Candidate stage imminent ;-)

Share this post


Link to post
Share on other sites

Six Updater v2.7rc1 Released!

http://www.six-updater.net/2011/10/six-updater-v27-wip-report-3-rc1.html

---------- Post added at 17:30 ---------- Previous post was at 16:28 ----------

Updated the server owners section with info on how to update a deddy with SU;

http://six.dev-heaven.net/wagn/Six_Updater+Documentation#Server%20Owners

Share this post


Link to post
Share on other sites

First 3 Take on mods live on Six Updater!

CBA: http://forums.bistudio.com/showthread.php?t=126509

Blake's Autopilot: http://forums.bistudio.com/showthread.php?t=126704

Offshore landing platforms: http://forums.bistudio.com/showthread.php?t=126866

Also expanded the Game manager to include Running Instances management and ability to check specific game files checksums:

game_manager+v2.5.png

Share this post


Link to post
Share on other sites

I need to have different ACE versions for different servers (unfortunately some servers I like to play still manually update ACE or update with Yoma's AddonSync and often are weeks behind).

I need one set A of manually maintained ACE folders, one set B of ACE folders which come in through yoma (folder sets A and B Six should not touch at all), one set C coming in through Six but usually older than the official ACE and then of course the current ACE folder set D managed by Six.

I can rename and move out of the way folders of set A but both Yoma and Six want to use the official ACE folder names and try to work on the same folders for B, C and D. I know, sounds complicated and it SUCKS big time and gives me headaches almost daily... :/

Basically what I would need is to have Six map remote folders to some other local name structure. A prefix would be cool so that in the end I have something like this on my harddrive:

set A (manual):

@old_ACE

...

@old_CBA

set B (yoma):

@ACE

...

@CBA

set C (Six, but not latest ACE)

@server1_ACE

...

@server1_CBA

set D (Six, latest ACE)

@current_ACE

...

@current_CBA

Can Six jump through that hoop without falling because both yoma and I cant - at first I thought mod path may be what I need and I did look at the documentation but I dont understand it. Are those paths configurable for each distinct preset? How can I set a preset for the latest ACE?

I so hate all this modfolder crap... :(

Share this post


Link to post
Share on other sites

You can probably solve most of your problems by using SU ModPath yep.

You can set it globally in the Options - so that SU will always be locked to that folder.

You can also set it per Game Profile (enable advanced mode, and go to GameProfiles datagrid), and link the game profiles to one or more Presets, but this can get rather confusing I suppose.

Also I guess you could point Yoma to another folder than your game folder, which might give you some more flexibility.

Ideally you convince the people stuck on old ACE versions / yoma, to switch to Six Updater,

preferably always running the latest version, but if that is really a problem, they can setup a SU CustomRepos (which is basically like a Yoma repo): http://six.dev-heaven.net/wagn/Six_Updater+Documentation#Server%20Owners

Life would get a lot easier suddenly - as that's Six Updater's primary mission after all :D

By default SU installs customrepos mods to a "ServerMods" subfolder, and you can even set one per server, so it automatically takes care of maintaining the different versions with automatic switching and no hassle.

If harddrive space is an issue, you can even disable the servermods behavior completely, and in this case it will simply migrate your modfolders live from one version to another, depending on which server (+CustomRepo or Official Network) is active.

It will deploy the same delta patching algorithm as usual with SU and should only cost minimal bandwidth.

Alternatively, you could look into Symlinks and Batch files and create some elaborate setup. E.g: http://schinagl.priv.at/nt/hardlinkshellext/hardlinkshellext.html etc

Edited by Sickboy

Share this post


Link to post
Share on other sites

I been trying to apply the Arma 2 Updates that Six updater tells me to update too. and I don't know why. I can't seem to install any updates after 1.59.0.79384. I tried to install new updates and nothing seems to install since Six Updater is reporting the same version number and telling me I need to update.

Any one have any ideas. I can't under stand why BI doesn't build this into their software. That way it would be easy is us to update the game.

Share this post


Link to post
Share on other sites
Does not really belong in this subforum.

There IS a reason why this is here ;)

Share this post


Link to post
Share on other sites

Ehrm right, what's this thread doing here! :O :D

(Thanks Dwarden for Fix in the meantime) :D

---------- Post added at 10:48 ---------- Previous post was at 10:45 ----------

Does not really belong in this subforum.
If you would supply a little bit more details, like screenshots, exact messages, etc, this would probably allow us to figure out what's up and assist you.

Perhaps it's referring to the beta's; http://www.arma2.com/beta-patch.php

Oh, found your ticket hidden in the dev-heaven tracker, moved and answered; http://dev-heaven.net/issues/26269#change-116420

Edited by Sickboy

Share this post


Link to post
Share on other sites

1) There's no Arma 2 Support forum.

I didn't know where else to post it at. and I'm not getting any errors. NONE. I download the update and then I run the update. and it says update completed. Then when I run Six Updater. It still says I have updates to download and install. and I still have the same version installed. 1.59.0.79384. I can't update my game any more for some reason.

Share this post


Link to post
Share on other sites

You need to enable the expansion/beta mod, or tick the "Beta" checkbox up top.

Share this post


Link to post
Share on other sites

That is checked. So I guess that part is working, Then I still having problems under standing Six Updater. How can I uninstall Mods in the list on the left side that are listed. Some of them are not compatible with the version of ARMA 2 OA that I Have.

Share this post


Link to post
Share on other sites

You uninstall mods by deleting their modfolders. Would you mind posting your questions in 1 place?

This kind of user support should remain in this thread, anyone wanting to chime in can do so :)

Share this post


Link to post
Share on other sites

As far as I know it. Is. There's no ARMA 2 support forum or Six Updater Support forum.

Thanks What's what I needed to know. I just need to find out how to remove them from the list in Six Updater.

Share this post


Link to post
Share on other sites
You can't remove them from the lists if they are dependencies, they don't hurt anyone, just leave them there.

Six Updater support options are listed @ http://www.six-updater.net/p/support.html

and there's enough ARMA2 forum to post support questions etc http://forums.bistudio.com/forumdisplay.php?f=9

As long as they are in that list. Six Updater want to download and update those 2 mods. and as I said. I just get errors. when I try to update them. You will find the errors in that log file I sent you.

I started this post because I can't seem to update my ARMA 2 Game. I download the patches and install them. It's just that Six Updater is still telling me I have version 1.59.0.79384. I can't seem to update my game.

Edited by iceman11a
Updated it.

Share this post


Link to post
Share on other sites

So if they are no dependencies, right click them and Remove from preset.

There are no real errors in the log files like I have already told you in the ticket.

I've also asked you to add screenshots, which you still haven't done, its not easy to try and help this way.

To be able to help you will need to be specific, copy/paste exact errors, make screenshots, attach ALL log files incl the game's RPT file, etc.

Just saying stuff don't work and "errors" without specifics/details has no use.

---------- Post added at 16:42 ---------- Previous post was at 16:35 ----------

I started this post because I can't seem to update my ARMA 2 Game. I download the patches and install them. It's just that Six Updater is still telling me I have version 1.59.0.79384. I can't seem to update my game.
I've also explained this now about 2 or 3 times.

Sorry but I am about done with this, perhaps find someone you know to assist you verbally, I do not have the time nor the patience.

Edited by Sickboy

Share this post


Link to post
Share on other sites
You uninstall mods by deleting their modfolders. Would you mind posting your questions in 1 place?

This kind of user support should remain in this thread, anyone wanting to chime in can do so :)

I tried that and they are still in that list

CBA_A2

CBA_OA

I need to remove both of them from my list. I right click on it and it says that

Didn't find @CBA_A2. Perhaps it is a dependency for another mod or selected server

So if it's in the list and not in the mods folder. Now what

NOTE: I still need help with getting my ARMA 2 Game updated.

Share this post


Link to post
Share on other sites

Please sign in to comment

You will be able to leave a comment after signing in



Sign In Now
Sign in to follow this  

×